Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.datarepository
Class ResourceLocation

    java.lang.Object
      com.rsa.authagent.authapi.datarepository.ResourceLocation

    public class ResourceLocation

extends java.lang.Object

This class provides a list of mehtods to set path for data resources. It uses a hash-map approach; that is, associate the specified path with the specified DataResource object.

Method Summary
`void` | `addResourcesLocation(DataResource dataresource, java.lang.String path)`
`static boolean` | `exists(java.lang.String path)` This method check if path is valid file name
`static ResourceLocation` | `getInstance()`
`java.lang.String` | `getResourceLocation(DataResource dataresource)`
`boolean` | `isDataResourceAvailable(DataResource dataresource)` This method check if the path has been set up for a specified DataResource object
`boolean` | `isEmpty()` This method check if there is no DataResource path has been set up.
`static boolean` | `isFile(java.lang.String path)` This method check if path is valid file name
`void` | `removeResources(DataResource dataresource)` This method remove the specified DataResource object and it's path from the hash table.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ResourceLocation getInstance()

### addResourcesLocation

    public void addResourcesLocation(DataResource dataresource,
                                     java.lang.String path)

  Parameters:
    `dataresource` - A DataResource object,e.g.DataResource SDCONF
    `path` - A String contains dataResource path and it's name for example, "c:\\agentAPI\\sdconf.rec"
  See Also:
    `DataResource`

### getResourceLocation

    public java.lang.String getResourceLocation(DataResource dataresource)

  Parameters:
    `dataresource` - A DataResource object,e.g.DataResource SDCONF
  Returns:
    A String contains dataResource path and it's name for example, "c:\\agentAPI\\sdconf.rec" empty string will be reture if Dataresource object is not found

### isEmpty

    public boolean isEmpty()

  This method check if there is no DataResource path has been set up.

  Returns:
    true if there is no DataResource path has been set up.

### isDataResourceAvailable

    public boolean isDataResourceAvailable(DataResource dataresource)

  This method check if the path has been set up for a specified DataResource object

  Parameters:
    `dataresource` - A specified DataResource object want to be check
  Returns:
    true if a specified DataResource object exists.

### isFile

    public static boolean isFile(java.lang.String path)

  This method check if path is valid file name

  Parameters:
    `path` - A string cintains filepath and it's name
  Returns:
    ture if file is found

### removeResources

    public void removeResources(DataResource dataresource)

  This method remove the specified DataResource object and it's path from the hash table.

  Parameters:
    `dataresource` - A specified DataResource object want to be removed

### exists

    public static boolean exists(java.lang.String path)

  This method check if path is valid file name

  Parameters:
    `path` - A string cintains filepath and it's name
  Returns:
    ture if file is found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.